> For the complete documentation index, see [llms.txt](https://doc.youverify.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.youverify.co/api-reference-sdk/api-reference/case-management/create-a-case.md).

# Create a Case

This endpoint allows you to create a case.

<mark style="color:green;">`POST`</mark> `{{baseurl}}/v2/api/cases`

#### Headers

| Name                                    | Type   | Description      |
| --------------------------------------- | ------ | ---------------- |
| token<mark style="color:red;">\*</mark> | String | API secret token |

#### Request Body

| Field                                            | Type           | Description                                                                                                            |
| ------------------------------------------------ | -------------- | ---------------------------------------------------------------------------------------------------------------------- |
| caseTitle<mark style="color:red;">\*</mark>      | String         | Title of the case                                                                                                      |
| caseType<mark style="color:red;">\*</mark>       | String         | Type of case being created                                                                                             |
| description<mark style="color:red;">\*</mark>    | String         | Detailed reason or context for creating the case                                                                       |
| severity<mark style="color:red;">\*</mark>       | String         | <p>Severity level of the case</p><p>Allowed values: <code>"High"</code>, <code>"Medium"</code>, <code>"Low"</code></p> |
| entityId<mark style="color:red;">\*</mark>       | String         | ID of the entity the case is associated with                                                                           |
| linkedIssues<mark style="color:red;">\*</mark>   | Object\[]      | List of issues linked to this case                                                                                     |
| issueId<mark style="color:red;">\*</mark>        | String         | ID of the linked issue                                                                                                 |
| issueType<mark style="color:red;">\*</mark>      | String         | Type of the linked issue (e.g., Activity, Alert, BehaviouralInsight, Custom)                                           |
| status                                           | String         | Optional status for the linked issue                                                                                   |
| caseStage<mark style="color:red;">\*</mark>      | Object         | Current stage of the case                                                                                              |
| stage<mark style="color:red;">\*</mark>          | String         | Stage name (e.g., Investigation, Review)                                                                               |
| level<mark style="color:red;">\*</mark>          | String\|Number | Level or priority of the stage (e.g., LV1, 1, etc.)                                                                    |
| tasks<mark style="color:red;">\*</mark>          | Object\[]      | List of tasks assigned for the stage                                                                                   |
| task<mark style="color:red;">\*</mark>           | String         | Task description                                                                                                       |
| Investigator<mark style="color:red;">\*</mark>   | Object         | Information about the investigator assigned to the case                                                                |
| investigatorId<mark style="color:red;">\*</mark> | String         | ID of the investigator                                                                                                 |

{% tabs %}
{% tab title="Create a Case Sample Request" %}

```json
{
            "caseTitle": "KYC data Mismatch",
            "caseType": "KYC",
            "description": "The case was created because there's a complete mismatch between the NIN and BVN data of the client.",
            "severity": "High",
            "entityId": "6880a452495dce07d2f7ff5a",
            "investigator": {
                "investigatorId": "681d7b32cd275833cb856fff",
            },
            "linkedIssues": [
                {
                    "issueId": "6880f7d527309cf76eb5db2e",
                    "issueType": "Activity",
                    "status": "Mismatch"
                }
            ],
            "caseStage": [
                {
                    "stage": "Investigation",
                    "level": "LV1",
                    "tasks": [
                        {
                            "task": "Investigate KYC verification"
                        },
                        {
                            "task": "Gather evidences, and add them to the case."
                        },
                        {
                            "task": "Confirm if entities are same and why there's a mismatch"
                        }
                    ]
                },
                {
                    "stage": "Analysis",
                    "level": "LV2",
                    "tasks": [
                        {
                            "task": "Gather evidences"
                        },
                        {
                            "task": "Analyse evidences"
                        },
                        {
                            "task": "Review analysis"
                        }
                    ]
                },
                {
                    "stage": "Filing",
                    "level": "LV3",
                    "tasks": [
                        {
                            "task": "File report"
                        },
                        {
                            "task": "Follow up filing"
                        },
                        {
                            "task": "Confirm case filed successfully"
                        }
                    ]
                }
            ]
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Success Response" %}

```json
{
        "success": true,
        "statusCode": 201,
        "message": "Case created successfully!",
        "data": {
            "caseTitle": "KYC data Mismatch",
            "status": "Opened",
            "caseType": "KYC",
            "severity": "High",
            "parentId": null,
            "businessId": "681d7b30cd275833cb856ff8",
            "entityId": "6880a452495dce07d2f7ff5a",
            "description": "The case was created because there's a complete mismatch between the NIN and BVN data of the client.",
            "evidences": [],
            "linkedIssues": [
                {
                    "issueId": "6880f7d527309cf76eb5db2e",
                    "issueType": "Activity",
                    "dateLinked": null,
                    "status": "Mismatch"
                },
                {
                    "issueId": "6880f7d527309cf76eb5db2e",
                    "issueType": "Transaction",
                    "dateLinked": null,
                    "status": "Mismatch"
                },
                {
                    "issueId": "6880f7d527309cf76eb5db2e",
                    "issueType": "Alert",
                    "dateLinked": null,
                    "status": "Mismatch"
                }
            ],
            "caseStage": [
                {
                    "stage": "Investigation",
                    "level": "LV1",
                    "investigatorId": "681d7b32cd275833cb856fff",
                    "investigatorName": "Jaymee Bottomore",
                    "notes": [],
                    "isReassigned": false,
                    "previousInvestigators": [],
                    "tasks": [
                        {
                            "task": "Investigate KYC verification",
                            "isCompleted": false
                        },
                        {
                            "task": "Gather evidences, and add them to the case.",
                            "isCompleted": false
                        },
                        {
                            "task": "Confirm if entities are same and why there's a mismatch",
                            "isCompleted": false
                        }
                    ],
                    "_id": "68945a37a52eb93b87f827fa"
                }
            ],
            "activities": [
                {
                    "event": "Case Created",
                    "activity": "Case created by Jaymee Bottomore",
                    "createdBy": "Jaymee Bottomore",
                    "userId": "681d7b30cd275833cb856ff8",
                    "eventDateTime": "2025-08-07T07:48:07.145Z",
                    "_id": "68945a37a52eb93b87f827fb"
                }
            ],
            "isDeleted": false,
            "comments": [],
            "createdAt": "2025-08-07T07:48:07.165Z",
            "lastModifiedAt": "2025-08-07T07:48:07.165Z",
            "_createdAt": "2025-08-07T08:48:077+01:00",
            "_lastModifiedAt": "2025-08-07T08:48:077+01:00",
            "object": "case",
            "id": "cas_68945a37a52eb93b87f827f9"
        },
        "links": []
    }
```

{% endtab %}

{% tab title="Error Response" %}

```json
HTTP/1.1 404 NotFound
{
  "success": false,
  "statusCode": 404,
  "message": "You have attempted to get a resource that does not exist.",
  "name": "ResourceNotFoundError",
  "data": {}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.youverify.co/api-reference-sdk/api-reference/case-management/create-a-case.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
